
TYPO3.Flow - Feature # 9313

Status: New Priority: Should have
Author: Karol Gusak Category: I18n
Created: 2010-08-15 Assigned To:
Updated: 2011-12-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Support for currencies
Description

Currencies should probably be handled in a special way in FLOW3. Maybe there should be a Currency class which would store the
decimal value and the international currency code?

This would provide a nice way to store and display money amounts.

Related issues:
related to TYPO3.Fluid - Feature # 33143: Allow Format.Currency ViewHelper re... Resolved 2012-01-12

History
#1 - 2010-10-11 12:56 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karol Gusak

Karol, could you handle this?

#2 - 2010-10-11 12:58 - Karsten Dambekalns

When dealing with decimals, never use decimals :) Store integers only, i.e. multiply by 100 for common cent-based currencies. This helps to avoid
rounding errors, have  a look at Robert's moneylib extension for some inspiration...

#3 - 2010-10-18 20:55 - Karol Gusak
- Status changed from Needs Feedback to Accepted

I will definately look at it.

#4 - 2011-12-15 17:44 - Karsten Dambekalns
- Status changed from Accepted to New
- Assigned To deleted (Karol Gusak)
- Has patch set to No
